import 'package:flutter/material.dart';
import 'exo7_taquin.dart';


class Exo7 extends StatelessWidget {
  const Exo7({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Jeu du Taquin !'),
        centerTitle: true,
      ),
      body: Column(children: [
        const Text.rich(
          TextSpan(
            text: 'Sélectionner la difficulté', // default text style
            style: TextStyle()
          )
        ),
        Center(
          child: TextButton(
            style: TextButton.styleFrom(
              textStyle: const TextStyle(fontSize: 20),
            ),
            onPressed: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => const SizeChoose(difficulty: 10)),
              );
            },
            child: const Text('Easy'),
          ),
        ),
        Center(
          child: TextButton(
            style: TextButton.styleFrom(
              textStyle: const TextStyle(fontSize: 20),
            ),
            onPressed: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => const SizeChoose(difficulty: 20)),
              );
            },
            child: const Text('Medium'),
          ),
        ),
        Center(
          child: TextButton(
            style: TextButton.styleFrom(
              textStyle: const TextStyle(fontSize: 20),
            ),
            onPressed: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => const SizeChoose(difficulty: 30)),
              );
            },
            child: const Text('Hard'),
          ),
        ),
      ])
    );
  }
}


class SizeChoose extends StatelessWidget {
  final int difficulty;

  const SizeChoose({required this.difficulty, super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Jeu du Taquin !'),
        centerTitle: true,
      ),
      body: Column(children: [
        const Text.rich(
          TextSpan(
            text: 'Sélectionner la taille', // default text style
            style: TextStyle()
          )
        ),
        Center(
          child: TextButton(
            style: TextButton.styleFrom(
              textStyle: const TextStyle(fontSize: 20),
            ),
            onPressed: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => Taquin(difficulty: difficulty, colNb: 2)),
              );
            },
            child: const Text('2 par 2'),
          ),
        ),
        Center(
          child: TextButton(
            style: TextButton.styleFrom(
              textStyle: const TextStyle(fontSize: 20),
            ),
            onPressed: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => Taquin(difficulty: difficulty, colNb: 3)),
              );
            },
            child: const Text('3 par 3'),
          ),
        ),
        Center(
          child: TextButton(
            style: TextButton.styleFrom(
              textStyle: const TextStyle(fontSize: 20),
            ),
            onPressed: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => Taquin(difficulty: difficulty, colNb: 4)),
              );
            },
            child: const Text('4 par 4'),
          ),
        ),
        Center(
          child: TextButton(
            style: TextButton.styleFrom(
              textStyle: const TextStyle(fontSize: 20),
            ),
            onPressed: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => Taquin(difficulty: difficulty, colNb: 5)),
              );
            },
            child: const Text('5 par 5'),
          ),
        )
      ])
    ); 
  }
}